<?php if(!defined('BASEPATH')) exit('No direct script access allowed');

require APPPATH . '/libraries/BaseController.php';

/**
 * Class :  Inward Gate Register Controller (security)
 * User Class to control all user related operations.
 * @author : Saravana kumar
 * @version : 1.1
 * @since : 8 Jun 2017
 */
class inwardgateregister extends BaseController
{
    /**
     * This is default constructor of the class
     */
	 public function __construct()
    {
        parent::__construct(); 
		$this->load->library('session');
		$this->load->library('form_validation');           
        $this->isLoggedIn();   
    }
	/**
     * This function used to load the first screen of the user
     */
	public function index()
    {
        $this->global['pageTitle'] = 'Siddharth : Inward Gate Register';
        
        $this->loadViews("inwardgateregister", $this->global, NULL , NULL);
    }
	
function materialinspectionreport()
    {
        $this->global['pageTitle'] = 'Siddharth : Material Inspetion Report';
        
        $this->loadViews("materialinspectionreport", $this->global, NULL , NULL);
    }	
	
    function pageNotFound()
    {
        $this->global['pageTitle'] = 'Siddharth : 404 - Page Not Found';
        
        $this->loadViews("404", $this->global, NULL, NULL);
    }
}

?>